AI Services/Video Generation
Query Volcengine-format video task
Interface description: Query the status of a Volcengine-format video generation task. The response keeps the Volcengine task query format. See the official Volcengine documentation: Query video generation task.
GET
/
api
/
ai
/
v3
/
contents
/
generations
/
tasks
/
{taskId}
Query Volcengine-format video task
curl --request GET \
--url https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId} \
--header 'Authorization: <api-key>'import requests
url = "https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "6a461da66fe8a12d33daabdd",
"model": "doubao-seedance-2-0-260128",
"status": "succeeded",
"error": null,
"created_at": 1782980006,
"updated_at": 1782980484,
"content": {
"video_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/example/video.mp4",
"last_frame_url": "https://assets.aitoearn.ai/example/last-frame.png"
},
"seed": 9190,
"resolution": "720p",
"ratio": "16:9",
"duration": 8,
"framespersecond": 24,
"generate_audio": true,
"tools": [
{
"type": "web_search"
}
],
"safety_identifier": "user:01JQ8W2M4Y6N7P8R9S0T1U2V3W",
"priority": 0,
"execution_expires_after": 172800,
"usage": {
"completion_tokens": 411300,
"total_tokens": 411300,
"tool_usage": {
"web_search": 1
}
}
}Authorizations
Pass the API Key obtained from AiToEarn. Go to the "API Key Tutorial". Example: Bearer xxx.
Path Parameters
Task ID returned by the Volcengine-format create video generation task endpoint.
Response
200 - application/json
Native Volcengine-format response, not wrapped in the AiToEarn common response envelope.
Task ID
Model name
Task status
creation time
Update time
seed value
resolution
aspect ratio
duration
Frame rate
Whether synchronized audio is included.
End-user identifier, echoed as provided.
Task execution priority.
Task timeout threshold in seconds.
Last modified on September 29, 2026
⌘I
Query Volcengine-format video task
curl --request GET \
--url https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId} \
--header 'Authorization: <api-key>'import requests
url = "https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/v3/contents/generations/tasks/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "6a461da66fe8a12d33daabdd",
"model": "doubao-seedance-2-0-260128",
"status": "succeeded",
"error": null,
"created_at": 1782980006,
"updated_at": 1782980484,
"content": {
"video_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/example/video.mp4",
"last_frame_url": "https://assets.aitoearn.ai/example/last-frame.png"
},
"seed": 9190,
"resolution": "720p",
"ratio": "16:9",
"duration": 8,
"framespersecond": 24,
"generate_audio": true,
"tools": [
{
"type": "web_search"
}
],
"safety_identifier": "user:01JQ8W2M4Y6N7P8R9S0T1U2V3W",
"priority": 0,
"execution_expires_after": 172800,
"usage": {
"completion_tokens": 411300,
"total_tokens": 411300,
"tool_usage": {
"web_search": 1
}
}
}
